Subject: Re: "git grep" parallelism question

From: Thomas Rast <[email-masked]>
Date: Sat, 27 Apr 2013 15:46:08 +0200

Linus Torvalds <[email-masked]> writes:

> Anyway, I think your patch is good if for no other reason that it
> allows this kind of testing, but at least for my machine, clearly the
> current default of eight threads is actually "good enough". Maybe
> somebody with a very different machine might want to run the above
> script and see if how sensitive other machines are to this parameter..

I think the last time Duy, Peff, me and others looked into grep
threading (which was a while ago) we basically reached the conclusion
that it's very unstable across machines.

Back then I tested things on a 2x6-core Xeon OS X machine and there the
performance (for the hot-cache, worktree case, which should parallelize
nicely) flatlines at 5 threads for no apparent reason.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch